Class | Rake::NameSpace
In: | lib/rake.rb
Parent: | Object

The NameSpace class will lookup task names in the the scope defined by a `namespace` command.

### Methods

[] new tasks

### Public Class methods

new(task_manager, scope_list)

Create a namespace lookup object using the given task manager and the list of scopes.

[Source]

          # File lib/rake.rb, line 1572
    1572:     def initialize(task_manager, scope_list)
    1573:       @task_manager = task_manager
    1574:       @scope = scope_list.dup
    1575:     end

### Public Instance methods

[](name)

Lookup a task named `name` in the namespace.

[Source]

          # File lib/rake.rb, line 1578
    1578:     def [](name)
    1579:       @task_manager.lookup(name, @scope)
    1580:     end

tasks()

Return the list of tasks defined in this namespace.

[Source]

          # File lib/rake.rb, line 1583
    1583:     def tasks
    1584:       @task_manager.tasks
    1585:     end

[Validate]